function onRegionChange()
{
	var me = $(this);
	
	//清空收货地址的地区部分
	var row = me.closest('tr');
	var span = row.next().find('span:first');
	span.text('');
	
	//删除后面的select
	$(this).nextAll().remove();
	
	if (this.value == '')
		return;
	
	//获取子地区
	$.get(_regionPath + '?ParentID=' + this.value, function(data)
	{
		//如果有子地区，追加到后面
		if ($.trim(data) != '')
		{
			me.closest('select').after(data);
			$('select:last', row).change();
		}
		
		//构造并写入收货地址的地区部分
		var html = '';
		$('select', row).each(function()
		{
			if ($('html').attr('lang') == 'UYG')
			html += ' ';

			html += $(':selected', this).text();
		});
		span.text(html);
	});
}

(function()
{
	//安装输入法
	if (typeof(SetupIme) != 'undefined')
		SetupIme();
	
	//搜索
	$('.header form').submit(function()
	{
		var q = $('[name=q]', this);
		if (q.val() == '')
			return false;
		
		window.open($(this).attr('action').replace('{q}', q.val()));
		
		return false;
	});

	//登录状态
	var div = $('.top-menu .wrap div');
	if (div.length && ali.util.cookie('UserID') != '' && ali.util.cookie('Namespace') != 'IlgharCMS.SystemModule')
	{
		$('span:last a:first', div).text(ali.util.cookie('UserName'));
		$('span', div).toggle();
	}
	
	//我的账号下拉菜单
	$('.header-right dt').mouseover(function()
	{
		var me = $(this);
		var x = me.position().left;
		var y = me.position().top + me.outerHeight();
		me.addClass('hover').next().css({left:x,top:y}).slideDown('fast');
	});
	$('.header-right dl').mouseleave(function()
	{
		$('dd', this).hide();
		$('dt', this).removeClass('hover');
	});

})();